xine-lib: h264_parser Struct Reference

xine-lib 1.2.12

Data Fields
h264_parser Struct Reference

## Data Fields
uint8_t | buf [1024 *1024]
uint32_t | buf_len
uint8_t | prebuf [1024 *1024]
uint32_t | prebuf_len
uint32_t | next_nal_position
uint8_t | last_nal_res
uint8_t | nal_size_length
uint32_t | next_nal_size
uint8_t * | nal_size_length_buf
uint8_t | have_nal_size_length_buf
enum parser_position | position
struct coded_picture * | pic
struct nal_unit * | last_vcl_nal
struct nal_buffer * | sps_buffer
struct nal_buffer * | pps_buffer
uint32_t | prev_pic_order_cnt_lsb
uint32_t | prev_pic_order_cnt_msb
uint32_t | frame_num_offset
int32_t | prev_top_field_order_cnt
uint32_t | curr_pic_num
uint16_t | flag_mask
struct dpb * | dpb
xine_t * | xine

## Field Documentation

## ◆ buf

uint8_t h264_parser::buf[1024 *1024]

Referenced by parse_frame().

## ◆ buf_len

uint32_t h264_parser::buf_len

Referenced by parse_frame().

## ◆ curr_pic_num

uint32_t h264_parser::curr_pic_num

Referenced by execute_ref_pic_marking(), and interpret_sps().

## ◆ dpb

struct dpb* h264_parser::dpb

Referenced by calculate_pic_nums(), execute_ref_pic_marking(), free_parser(), and init_parser().

## ◆ flag_mask

uint16_t h264_parser::flag_mask

Referenced by interpret_sps(), and parse_sei().

## ◆ frame_num_offset

uint32_t h264_parser::frame_num_offset

Referenced by calculate_pic_order().

## ◆ have_nal_size_length_buf

uint8_t h264_parser::have_nal_size_length_buf

## ◆ last_nal_res

uint8_t h264_parser::last_nal_res

Referenced by parse_frame().

## ◆ last_vcl_nal

struct nal_unit* h264_parser::last_vcl_nal

Referenced by calculate_pic_order(), init_parser(), and parse_nal().

## ◆ nal_size_length

uint8_t h264_parser::nal_size_length

Referenced by parse_codec_private(), parse_frame(), and seek_for_nal().

## ◆ nal_size_length_buf

uint8_t* h264_parser::nal_size_length_buf

Referenced by parse_codec_private().

## ◆ next_nal_position

uint32_t h264_parser::next_nal_position

Referenced by seek_for_nal().

## ◆ next_nal_size

uint32_t h264_parser::next_nal_size

## ◆ pic

struct coded_picture* h264_parser::pic

Referenced by calculate_pic_order(), init_parser(), interpret_slice_header(), parse_frame(), and parse_nal().

## ◆ position

enum parser_position h264_parser::position

Referenced by init_parser(), and parse_nal().

## ◆ pps_buffer

struct nal_buffer* h264_parser::pps_buffer

Referenced by calculate_pic_order(), free_parser(), init_parser(), interpret_slice_header(), parse_nal(), parse_pred_weight_table(), and parse_slice_header().

## ◆ prebuf

uint8_t h264_parser::prebuf[1024 *1024]

Referenced by parse_frame().

## ◆ prebuf_len

uint32_t h264_parser::prebuf_len

Referenced by parse_frame().

## ◆ prev_pic_order_cnt_lsb

uint32_t h264_parser::prev_pic_order_cnt_lsb

Referenced by calculate_pic_order(), execute_ref_pic_marking(), and process_mmc_operations().

## ◆ prev_pic_order_cnt_msb

uint32_t h264_parser::prev_pic_order_cnt_msb

Referenced by calculate_pic_order(), and execute_ref_pic_marking().

## ◆ prev_top_field_order_cnt

int32_t h264_parser::prev_top_field_order_cnt

Referenced by calculate_pic_order().

## ◆ sps_buffer

struct nal_buffer* h264_parser::sps_buffer

Referenced by calculate_pic_order(), free_parser(), init_parser(), interpret_slice_header(), parse_codec_private(), parse_nal(), parse_pred_weight_table(), parse_sei(), and parse_slice_header().

## ◆ xine

xine_t* h264_parser::xine

Referenced by calculate_pic_order(), execute_ref_pic_marking(), init_parser(), interpret_slice_header(), interpret_sps(), parse_frame(), parse_sei(), and parse_slice_header().

The documentation for this struct was generated from the following file:

- xine-lib-1.2.12/src/video_dec/libvdpau/vdpau_h264.c